Index: trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1067)
+++ trunk/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1084)
@@ -53,10 +53,6 @@
   }
   // To avoid mismatches
-#if H_MV_HLS10_GEN_FIX
   fprintf( g_hTrace, "=========== Sequence Parameter Set LayerId: %d ===========\n", pSPS->getLayerId() );
 #else
-  fprintf( g_hTrace, "=========== Sequence Parameter Set ===========\n" );
-#endif
-#else
   fprintf( g_hTrace, "=========== Sequence Parameter Set ID: %d ===========\n", pSPS->getSPSId() );
 #endif
@@ -70,9 +66,5 @@
     return; 
   }
-#if H_MV_HLS10_GEN_FIX
   fprintf( g_hTrace, "=========== Picture Parameter Set LayerId: %d ===========\n", pPPS->getLayerId() );
-#else
-  fprintf( g_hTrace, "=========== Picture Parameter Set ===========\n" );
-#endif
 #else
   fprintf( g_hTrace, "=========== Picture Parameter Set ID: %d ===========\n", pPPS->getPPSId() );
@@ -300,30 +292,28 @@
   if( pcPPS->getTilesEnabledFlag() )
   {
-    READ_UVLC ( uiCode, "num_tile_columns_minus1" );                pcPPS->setNumColumnsMinus1( uiCode );  
-    READ_UVLC ( uiCode, "num_tile_rows_minus1" );                   pcPPS->setNumRowsMinus1( uiCode );  
-    READ_FLAG ( uiCode, "uniform_spacing_flag" );                   pcPPS->setUniformSpacingFlag( uiCode );
-
-    if( !pcPPS->getUniformSpacingFlag())
-    {
-      UInt* columnWidth = (UInt*)malloc(pcPPS->getNumColumnsMinus1()*sizeof(UInt));
-      for(UInt i=0; i<pcPPS->getNumColumnsMinus1(); i++)
+    READ_UVLC ( uiCode, "num_tile_columns_minus1" );                pcPPS->setNumTileColumnsMinus1( uiCode );  
+    READ_UVLC ( uiCode, "num_tile_rows_minus1" );                   pcPPS->setNumTileRowsMinus1( uiCode );  
+    READ_FLAG ( uiCode, "uniform_spacing_flag" );                   pcPPS->setTileUniformSpacingFlag( uiCode == 1 );
+
+    if( !pcPPS->getTileUniformSpacingFlag())
+    {
+      std::vector<Int> columnWidth(pcPPS->getNumTileColumnsMinus1());
+      for(UInt i=0; i<pcPPS->getNumTileColumnsMinus1(); i++)
       { 
         READ_UVLC( uiCode, "column_width_minus1" );  
         columnWidth[i] = uiCode+1;
       }
-      pcPPS->setColumnWidth(columnWidth);
-      free(columnWidth);
-
-      UInt* rowHeight = (UInt*)malloc(pcPPS->getNumRowsMinus1()*sizeof(UInt));
-      for(UInt i=0; i<pcPPS->getNumRowsMinus1(); i++)
+      pcPPS->setTileColumnWidth(columnWidth);
+
+      std::vector<Int> rowHeight (pcPPS->getTileNumRowsMinus1());
+      for(UInt i=0; i<pcPPS->getTileNumRowsMinus1(); i++)
       {
         READ_UVLC( uiCode, "row_height_minus1" );
         rowHeight[i] = uiCode + 1;
       }
-      pcPPS->setRowHeight(rowHeight);
-      free(rowHeight);  
-    }
-
-    if(pcPPS->getNumColumnsMinus1() !=0 || pcPPS->getNumRowsMinus1() !=0)
+      pcPPS->setTileRowHeight(rowHeight);
+    }
+
+    if(pcPPS->getNumTileColumnsMinus1() !=0 || pcPPS->getTileNumRowsMinus1() !=0)
     {
       READ_FLAG ( uiCode, "loop_filter_across_tiles_enabled_flag" );   pcPPS->setLoopFilterAcrossTilesEnabledFlag( uiCode ? true : false );
@@ -342,19 +332,4 @@
     }
   }
-#if !H_MV_HLS10_PPS
-#if H_MV
-  if ( pcPPS->getLayerId() > 0 )
-  {
-    READ_FLAG( uiCode, "pps_infer_scaling_list_flag" ); pcPPS->setPpsInferScalingListFlag( uiCode == 1 );    
-  }
-
-  if( pcPPS->getPpsInferScalingListFlag( ) ) 
-  {
-    READ_CODE( 6, uiCode, "pps_scaling_list_ref_layer_id" ); pcPPS->setPpsScalingListRefLayerId( uiCode );
-  }
-  else
-  {  
-#endif
-#endif
   READ_FLAG( uiCode, "pps_scaling_list_data_present_flag" );           pcPPS->setScalingListPresentFlag( uiCode ? true : false );
   if(pcPPS->getScalingListPresentFlag ())
@@ -362,9 +337,4 @@
     parseScalingList( pcPPS->getScalingList() );
   }
-#if !H_MV_HLS10_PPS
-#if H_MV
-  }
-#endif
-#endif
   READ_FLAG( uiCode, "lists_modification_present_flag");
   pcPPS->setListsModificationPresentFlag(uiCode);
@@ -400,10 +370,5 @@
     if ( pcPPS->getPpsMultilayerExtensionFlag() )
     { 
-#if H_MV_HLS10_PPS
       parsePPSMultilayerExtension( pcPPS ); 
-#else
-      READ_FLAG( uiCode, "poc_reset_info_present_flag" ); pcPPS->setPocResetInfoPresentFlag( uiCode == 1 );
-      READ_FLAG( uiCode, "pps_extension_reserved_zero_flag" );
-#endif
     }
 #if !H_3D
@@ -505,7 +470,4 @@
               READ_CODE(8, uiNumDepthValues, "num_depth_values_in_dlt[i]");   // num_entry
 
-#if !H_3D_DELTA_DLT
-              if ( pcDLT->getInterViewDltPredEnableFlag( i ) == false )       // Single-view DLT Diff Coding
-#endif
               {
                 // The condition if( pcVPS->getNumDepthValues(i) > 0 ) is always true since for Single-view Diff Coding, there is at least one depth value in depth component. 
@@ -555,5 +517,4 @@
             }
             
-#if H_3D_DELTA_DLT
             if( pcDLT->getInterViewDltPredEnableFlag( i ) )
             {
@@ -571,8 +532,5 @@
               pcDLT->setDepthLUTs(i, aiIdx2DepthValue, uiNumDepthValues);
             }
-#else
-            // store final DLT
-            pcDLT->setDepthLUTs(i, aiIdx2DepthValue, uiNumDepthValues);
-#endif
+
           }
         }
@@ -782,5 +740,4 @@
     READ_CODE( 3,  uiCode, "sps_max_sub_layers_minus1" );          pcSPS->setMaxTLayers   ( uiCode+1 );
     assert(uiCode <= 6);
-#if H_MV_HLS10_MULTILAYERSPS
 #if H_MV
   }
@@ -793,5 +750,4 @@
   {
 #endif
-#endif
 
     READ_FLAG( uiCode, "sps_temporal_id_nesting_flag" );               pcSPS->setTemporalIdNestingFlag ( uiCode > 0 ? true : false );
@@ -803,9 +759,7 @@
 
     parsePTL(pcSPS->getPTL(), 1, pcSPS->getMaxTLayers() - 1);
-#if H_MV_HLS10_PTL_INFER_FIX
+#if H_MV
     pcSPS->getPTL()->inferGeneralValues ( true, 0, NULL ); 
     pcSPS->getPTL()->inferSubLayerValues( pcSPS->getMaxTLayers() - 1, 0, NULL );
-#endif
-#if H_MV
   }
 #endif
@@ -813,9 +767,5 @@
   assert(uiCode <= 15);
 #if H_MV
-#if H_MV_HLS10_MULTILAYERSPS
   if ( pcSPS->getMultiLayerExtSpsFlag() )
-#else 
-  if ( pcSPS->getLayerId() > 0 )
-#endif
   {
     READ_FLAG( uiCode, "update_rep_format_flag" );               pcSPS->setUpdateRepFormatFlag( uiCode == 1 );
@@ -839,9 +789,4 @@
     READ_UVLC (    uiCode, "pic_width_in_luma_samples" );          pcSPS->setPicWidthInLumaSamples ( uiCode    );
     READ_UVLC (    uiCode, "pic_height_in_luma_samples" );         pcSPS->setPicHeightInLumaSamples( uiCode    );
-#if !H_MV_HLS10_MULTILAYERSPS
-#if H_MV
-  }
-#endif
-#endif
   READ_FLAG(     uiCode, "conformance_window_flag");
   if (uiCode != 0)
@@ -855,7 +800,5 @@
     READ_UVLC(   uiCode, "conf_win_top_offset" );                conf.setWindowTopOffset   ( uiCode  );
     READ_UVLC(   uiCode, "conf_win_bottom_offset" );             conf.setWindowBottomOffset( uiCode  );    
-#if H_MV_HLS10_MULTILAYERSPS
-  }
-#endif
+  }
 #else
     READ_UVLC(   uiCode, "conf_win_left_offset" );               conf.setWindowLeftOffset  ( uiCode * TComSPS::getWinUnitX( pcSPS->getChromaFormatIdc() ) );
@@ -867,9 +810,5 @@
 
 #if H_MV
-#if H_MV_HLS10_MULTILAYERSPS
   if ( !pcSPS->getMultiLayerExtSpsFlag() )
-#else // H_MV_HLS10_GEN
-  if ( pcSPS->getLayerId() == 0 )
-#endif // H_MV_HLS10_GEN
   { 
 #endif
@@ -891,9 +830,5 @@
 
 #if H_MV
-#if H_MV_HLS10_MULTILAYERSPS
   if ( !pcSPS->getMultiLayerExtSpsFlag()) 
-#else 
-  if ( pcSPS->getLayerId() == 0 ) 
-#endif
   {  
 #endif
@@ -954,9 +889,5 @@
   {
 #if H_MV
-#if H_MV_HLS10_MULTILAYERSPS
     if ( pcSPS->getMultiLayerExtSpsFlag() )
-#else 
-    if ( pcSPS->getLayerId() > 0 )
-#endif
     {    
       READ_FLAG( uiCode, "sps_infer_scaling_list_flag" ); pcSPS->setSpsInferScalingListFlag( uiCode == 1 );
@@ -1086,20 +1017,4 @@
   READ_FLAG( uiCode, "inter_view_mv_vert_constraint_flag" );    pcSPS->setInterViewMvVertConstraintFlag(uiCode == 1 ? true : false);
   
-#if !H_MV_HLS10_PPS
-  READ_UVLC( uiCode, "num_scaled_ref_layer_offsets" ); pcSPS->setNumScaledRefLayerOffsets( uiCode );
-
-  for( Int i = 0; i < pcSPS->getNumScaledRefLayerOffsets( ); i++)
-  {    
-    READ_CODE( 6, uiCode, "scaled_ref_layer_id" ); pcSPS->setScaledRefLayerId( i, uiCode ); 
-
-    Int j = pcSPS->getScaledRefLayerId( i ); 
-    Int iCode; 
-    READ_SVLC( iCode, "scaled_ref_layer_left_offset" ); pcSPS->setScaledRefLayerLeftOffset( j, iCode );
-    READ_SVLC( iCode, "scaled_ref_layer_top_offset" ); pcSPS->setScaledRefLayerTopOffset( j, iCode );
-    READ_SVLC( iCode, "scaled_ref_layer_right_offset" ); pcSPS->setScaledRefLayerRightOffset( j, iCode );
-    READ_SVLC( iCode, "scaled_ref_layer_bottom_offset" ); pcSPS->setScaledRefLayerBottomOffset( j, iCode );
-    READ_FLAG( uiCode, "sps_multilayer_ext_reserved_zero_flag[ i ]" );
-  }
-#endif
 }
 
@@ -1107,21 +1022,8 @@
 Void TDecCavlc::parseSPSExtension2( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
 { 
-#if !MTK_I0099_VPS_EX2
-  UInt uiCode; 
-#if H_3D_QTLPC
-  //GT: This has to go to VPS
-  if( depthFlag )
-  {
-    READ_FLAG( uiCode, "use_qtl_flag" );
-    pcSPS->setUseQTL( uiCode );
-    READ_FLAG( uiCode, "use_pc_flag" );
-    pcSPS->setUsePC( uiCode );
-  }
-#endif
-#endif
-}
-#endif
-
-#if H_MV_HLS10_PPS
+
+}
+#endif
+
 Void TDecCavlc::parsePPSMultilayerExtension(TComPPS* pcPPS)
 {
@@ -1134,5 +1036,4 @@
 
 #endif
-#endif
 
 Void TDecCavlc::parseVPS(TComVPS* pcVPS)
@@ -1143,9 +1044,5 @@
 #if H_MV
   READ_FLAG( uiCode, "vps_base_layer_internal_flag" );            pcVPS->setVpsBaseLayerInternalFlag( uiCode == 1 );
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   READ_FLAG( uiCode, "vps_base_layer_available_flag" );           pcVPS->setVpsBaseLayerAvailableFlag( uiCode == 1 );
-#else
-  READ_FLAG( uiCode, "vps_reserved_one_bit" );                    assert( uiCode == 1 ); 
-#endif
 #else
   READ_CODE( 2,  uiCode,  "vps_reserved_three_2bits" );           assert(uiCode == 3);
@@ -1162,9 +1059,7 @@
   READ_CODE( 16, uiCode,  "vps_reserved_ffff_16bits" );           assert(uiCode == 0xffff);
   parsePTL ( pcVPS->getPTL(), true, pcVPS->getMaxTLayers()-1);
-#if H_MV_HLS10_PTL_INFER_FIX
 #if H_MV
   pcVPS->getPTL()->inferGeneralValues ( true, 0, NULL );
   pcVPS->getPTL()->inferSubLayerValues( pcVPS->getMaxTLayers() - 1, 0, NULL );
-#endif
 #endif
   UInt subLayerOrderingInfoPresentFlag;
@@ -1193,9 +1088,5 @@
   READ_CODE( 6, uiCode, "vps_max_layer_id" );   pcVPS->setVpsMaxLayerId( uiCode );
 
-#if H_MV_HLS10_GEN_FIX
   READ_UVLC(    uiCode, "vps_num_layer_sets_minus1" );  pcVPS->setVpsNumLayerSetsMinus1( uiCode );
-#else
-  READ_UVLC(    uiCode, "vps_max_num_layer_sets_minus1" );               pcVPS->setVpsNumLayerSetsMinus1( uiCode );
-#endif
   for( UInt opsIdx = 1; opsIdx <= pcVPS->getVpsNumLayerSetsMinus1(); opsIdx ++ )
   {
@@ -1241,4 +1132,9 @@
         READ_FLAG( uiCode, "cprms_present_flag[i]" );              pcVPS->setCprmsPresentFlag( uiCode == 1 ? true : false, i );
       }
+      else
+      {
+        pcVPS->setCprmsPresentFlag( true, i );
+      }
+
       parseHrdParameters(pcVPS->getHrdParameters(i), pcVPS->getCprmsPresentFlag( i ), pcVPS->getMaxTLayers() - 1);
     }
@@ -1286,20 +1182,11 @@
   UInt uiCode; 
 
-#if H_MV_HLS10_PTL
   if( pcVPS->getMaxLayersMinus1() > 0  &&  pcVPS->getVpsBaseLayerInternalFlag() )
   {
     parsePTL( pcVPS->getPTL( 1 ),0, pcVPS->getMaxSubLayersMinus1()  );  
     
-#if !H_MV_HLS10_PTL_INFER_FIX
-    // Copy Profile info
-    TComPTL temp = *pcVPS->getPTL( 1 );
-    *pcVPS->getPTL( 1 ) = *pcVPS->getPTL( 0 );
-    pcVPS->getPTL( 1 )->copyLevelFrom( &temp );
-#else
     pcVPS->getPTL( 1 )->inferGeneralValues ( false, 1, pcVPS->getPTL( 0 ) );
     pcVPS->getPTL( 1 )->inferSubLayerValues( pcVPS->getMaxSubLayersMinus1(), 1, pcVPS->getPTL( 0 ) );    
-#endif
-  }
-#endif 
+  }
 
   READ_FLAG( uiCode, "splitting_flag" );                          pcVPS->setSplittingFlag( uiCode == 1 ? true : false );
@@ -1375,5 +1262,4 @@
   pcVPS->setRefLayers(); 
 
-#if H_MV_HLS10_ADD_LAYERSETS
   if ( pcVPS->getNumIndependentLayers() > 1 ) 
   {
@@ -1388,5 +1274,4 @@
     pcVPS->deriveAddLayerSetLayerIdList( i );
   }
-#endif
 
   READ_FLAG( uiCode, "vps_sub_layers_max_minus1_present_flag" ); pcVPS->setVpsSubLayersMaxMinus1PresentFlag( uiCode == 1 );
@@ -1425,5 +1310,4 @@
   READ_UVLC( uiCode, "vps_num_profile_tier_level_minus1" );  pcVPS->setVpsNumProfileTierLevelMinus1( uiCode );  
 
-#if H_MV_HLS10_PTL
   Int offsetVal =  ( pcVPS->getMaxLayersMinus1() > 0  &&  pcVPS->getVpsBaseLayerInternalFlag() ) ? 2 : 1;   
   for( Int i = pcVPS->getVpsBaseLayerInternalFlag() ? 2 : 1; i <= pcVPS->getVpsNumProfileTierLevelMinus1(); i++ )
@@ -1431,44 +1315,9 @@
     READ_FLAG(  uiCode, "vps_profile_present_flag[i]" );    pcVPS->setVpsProfilePresentFlag( i, uiCode == 1 );
     parsePTL ( pcVPS->getPTL( offsetVal ), pcVPS->getVpsProfilePresentFlag( i ), pcVPS->getMaxTLayers()-1);
-#if H_MV_HLS10_PTL_INFER_FIX
     pcVPS->getPTL( offsetVal )->inferGeneralValues ( pcVPS->getVpsProfilePresentFlag( i ), offsetVal, pcVPS->getPTL( offsetVal - 1 ) );    
     pcVPS->getPTL( offsetVal )->inferSubLayerValues( pcVPS->getMaxSubLayersMinus1()      , offsetVal, pcVPS->getPTL( offsetVal - 1 ) );    
-#else
-    if( !pcVPS->getVpsProfilePresentFlag( i ) )
-    {
-      TComPTL temp = *pcVPS->getPTL( offsetVal );
-      *pcVPS->getPTL( offsetVal ) = *pcVPS->getPTL( offsetVal - 1 );
-      pcVPS->getPTL( offsetVal )->copyLevelFrom( &temp );
-    }
-#endif
     offsetVal++;
   }
-#else 
-  for( Int i = 1; i <= pcVPS->getVpsNumProfileTierLevelMinus1(); i++ )
-  {
-    READ_FLAG(  uiCode, "vps_profile_present_flag[i]" );    pcVPS->setVpsProfilePresentFlag( i, uiCode == 1 );
-    parsePTL ( pcVPS->getPTL( i ), pcVPS->getVpsProfilePresentFlag( i ), pcVPS->getMaxTLayers()-1);
-    if( !pcVPS->getVpsProfilePresentFlag( i ) )
-    {
-      TComPTL temp = *pcVPS->getPTL( i );
-      *pcVPS->getPTL( i ) = *pcVPS->getPTL( i - 1 );
-      pcVPS->getPTL( i )->copyLevelFrom( &temp );
-    }
-  }
-#endif 
-
-#if !H_MV_HLS10_ADD_LAYERSETS
-  if ( pcVPS->getNumIndependentLayers() > 1 ) 
-  {
-   READ_UVLC( uiCode, "num_add_layer_sets"      ); pcVPS->setNumAddLayerSets( uiCode );
-  }
-  for (Int i = 0; i < pcVPS->getNumAddLayerSets(); i++)
-  {
-    for (Int j = 0; j < pcVPS->getNumIndependentLayers(); j++)
-    {
-      READ_CODE( pcVPS->getHighestLayerIdxPlus1Len( j ) , uiCode, "highest_layer_idx_plus1" ); pcVPS->setHighestLayerIdxPlus1( i, j, uiCode );
-    }
-  }
-#endif
+
 
   if (pcVPS->getNumLayerSets() > 1)
@@ -1484,24 +1333,16 @@
   pcVPS->setLayerSetIdxForOlsMinus1(0, -1); 
 
-#if H_MV_HLS10_NESSECARY_LAYER
   pcVPS->deriveNecessaryLayerFlags( 0 ); 
-#endif 
   pcVPS->deriveTargetLayerIdList( 0 ); 
 
-#if H_MV_HLS10_PTL_FIX
   if (pcVPS->getVpsBaseLayerInternalFlag() )
   {  
     pcVPS->setProfileTierLevelIdx(0,0, pcVPS->inferProfileTierLevelIdx(0,0) );
   }
-#endif
   for( Int i = 1; i < pcVPS->getNumOutputLayerSets( ); i++ )
   {
     if( i >= pcVPS->getNumLayerSets( ) )    
     {        
-#if !VPS_MISC_UPDATES
-      READ_UVLC( uiCode,      "layer_set_idx_for_ols_minus1[i]" ); pcVPS->setLayerSetIdxForOlsMinus1( i, uiCode ); 
-#else
       READ_CODE( pcVPS->getLayerSetIdxForOlsMinus1Len( i ), uiCode, "layer_set_idx_for_ols_minus1[i]" ); pcVPS->setLayerSetIdxForOlsMinus1( i, uiCode ); 
-#endif
     }
 
@@ -1520,10 +1361,7 @@
       }
     }
-#if H_MV_HLS10_NESSECARY_LAYER
     pcVPS->deriveNecessaryLayerFlags( i ); 
-#endif
     pcVPS->deriveTargetLayerIdList( i ); 
 
-#if H_MV_HLS10_PTL
     for ( Int j = 0; j < pcVPS->getNumLayersInIdList( pcVPS->olsIdxToLsIdx(i)); j++ )
     {    
@@ -1532,17 +1370,9 @@
         READ_CODE( pcVPS->getProfileTierLevelIdxLen(), uiCode,"profile_tier_level_idx[ i ][ j ]" );   pcVPS->setProfileTierLevelIdx( i, j, uiCode ); 
       }
-#if H_MV_HLS10_PTL_FIX
       if (pcVPS->getNecessaryLayerFlag( i, j ) && pcVPS->getVpsNumProfileTierLevelMinus1() == 0 )
       {
         pcVPS->setProfileTierLevelIdx( i , j, pcVPS->inferProfileTierLevelIdx( i, j) );
       }
-#endif
-    }
-#else
-    if ( pcVPS->getProfileLevelTierIdxLen()  > 0 )
-    { 
-      READ_CODE( pcVPS->getProfileLevelTierIdxLen(), uiCode,"profile_level_tier_idx[ i ]" );   pcVPS->setProfileLevelTierIdx( i , uiCode ); 
-    }
-#endif
+    }
 
     if( pcVPS->getNumOutputLayersInOutputLayerSet( i ) == 1 && pcVPS->getNumDirectRefLayers( pcVPS->getOlsHighestOutputLayerId( i ) ) > 0 )
@@ -1594,7 +1424,4 @@
   }
 
-#if !H_MV_HLS10_GEN_FIX
-  READ_FLAG( uiCode, "vps_reserved_zero_flag" ); 
-#endif
   parseDpbSize( pcVPS ); 
 
@@ -1670,5 +1497,4 @@
     pcRepFormat->inferChromaAndBitDepth(pcPrevRepFormat, false ); 
   }
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   READ_FLAG( uiCode, "conformance_window_vps_flag" ); pcRepFormat->setConformanceWindowVpsFlag( uiCode == 1 );
   if ( pcRepFormat->getConformanceWindowVpsFlag() )
@@ -1679,5 +1505,4 @@
     READ_UVLC( uiCode, "conf_win_vps_bottom_offset" ); pcRepFormat->setConfWinVpsBottomOffset( uiCode );
   }
-#endif 
 }
 
@@ -1705,9 +1530,5 @@
   if( pcVPSVUI->getBitRatePresentVpsFlag( )  ||  pcVPSVUI->getPicRatePresentVpsFlag( ) )
   {
-#if H_MV_HLS10_VPS_VUI
     for( Int i = pcVPS->getVpsBaseLayerInternalFlag() ? 0 : 1; i  <  pcVPS->getNumLayerSets(); i++ )
-#else
-    for( Int i = pcVPS->getVpsBaseLayerInternalFlag() ? 0 : 1; i  <=  pcVPS->getVpsNumLayerSetsMinus1(); i++ )
-#endif
     {
       for( Int j = 0; j  <=  pcVPS->getMaxSubLayersInLayerSetMinus1( i ); j++ ) 
@@ -1742,9 +1563,5 @@
   else
   {
-#if H_MV_HLS10_VPS_VUI
     pcVPSVUI->setVpsNumVideoSignalInfoMinus1( pcVPS->getMaxLayersMinus1() - pcVPS->getVpsBaseLayerInternalFlag() ? 0 : 1 ); 
-#else
-    pcVPSVUI->setVpsNumVideoSignalInfoMinus1( pcVPS->getMaxLayersMinus1() ); 
-#endif
   }
 
@@ -1757,5 +1574,4 @@
   }
 
-#if I0045_VPS_VUI_VST_PARAMS
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
   {
@@ -1779,21 +1595,5 @@
     }
   }
-#else
-  if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      READ_CODE( 4, uiCode, "vps_video_signal_info_idx" ); pcVPSVUI->setVpsVideoSignalInfoIdx( i, uiCode );
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i ) >= 0 && pcVPSVUI->getVpsVideoSignalInfoIdx( i ) <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1() );
-    }
-  }
-  else
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      pcVPSVUI->setVpsVideoSignalInfoIdx( i, pcVPSVUI->getVideoSignalInfoIdxPresentFlag() ? 0 : i ); 
-    }
-  }
-#endif
+
   READ_FLAG( uiCode, "tiles_not_in_use_flag" ); pcVPSVUI->setTilesNotInUseFlag( uiCode == 1 );
   if( !pcVPSVUI->getTilesNotInUseFlag() ) 
@@ -1811,9 +1611,5 @@
       for( Int j = 0; j < pcVPS->getNumDirectRefLayers( pcVPS->getLayerIdInNuh( i ) ) ; j++ )
       {
-#if H_MV_HLS10_REF_PRED_LAYERS
         Int layerIdx = pcVPS->getLayerIdInVps(pcVPS->getIdDirectRefLayer(pcVPS->getLayerIdInNuh( i ) , j  ));  
-#else
-        Int layerIdx = pcVPS->getLayerIdInVps(pcVPS->getRefLayerId(pcVPS->getLayerIdInNuh( i ) , j  ));  
-#endif
         if( pcVPSVUI->getTilesInUseFlag( i )  &&  pcVPSVUI->getTilesInUseFlag( layerIdx ) )  
         {
@@ -1833,10 +1629,6 @@
     }
   }
-#if H_MV_HLS10_VPS_VUI
   READ_FLAG( uiCode, "single_layer_for_non_irap_flag" ); pcVPSVUI->setSingleLayerForNonIrapFlag( uiCode == 1 );
   READ_FLAG( uiCode, "higher_layer_irap_skip_flag" ); pcVPSVUI->setHigherLayerIrapSkipFlag( uiCode == 1 );
-#else 
-  READ_CODE( 3, uiCode, "vps_vui_reserved_zero_3bits" ); 
-#endif
   READ_FLAG( uiCode, "ilp_restricted_ref_layers_flag" ); pcVPSVUI->setIlpRestrictedRefLayersFlag( uiCode == 1 );
 
@@ -1847,9 +1639,5 @@
       for( Int j = 0; j < pcVPS->getNumDirectRefLayers( pcVPS->getLayerIdInNuh( i ) ); j++ )
       {
-#if H_MV_HLS10_REF_PRED_LAYERS
         if( pcVPS->getVpsBaseLayerInternalFlag() || pcVPS->getIdDirectRefLayer( pcVPS->getLayerIdInNuh( i ), j ) > 0 )
-#else
-        if( pcVPS->getVpsBaseLayerInternalFlag() || pcVPS->getRefLayerId( pcVPS->getLayerIdInNuh( i ), j ) > 0 )
-#endif
         {        
           READ_UVLC( uiCode, "min_spatial_segment_offset_plus1" ); pcVPSVUI->setMinSpatialSegmentOffsetPlus1( i, j, uiCode );
@@ -1870,7 +1658,5 @@
   if ( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) )
   {
-#if VPS_MISC_UPDATES
     assert(pcVPS->getTimingInfo()->getTimingInfoPresentFlag() == 1);
-#endif
     parseVpsVuiBspHrdParameters( pcVPS ); 
   }
@@ -1893,13 +1679,8 @@
 
   TComVpsVuiBspHrdParameters*  vpsVuiBspHrdP = pcVPSVUI->getVpsVuiBspHrdParameters(); 
-#if H_MV_HLS10_VPS_VUI_BSP
   assert( vpsVuiBspHrdP == NULL ); 
   vpsVuiBspHrdP = new TComVpsVuiBspHrdParameters; 
   pcVPSVUI->setVpsVuiBspHrdParameters( vpsVuiBspHrdP ); 
-#else
-  assert ( vpsVuiBspHrdP );
-#endif
   UInt uiCode; 
-#if H_MV_HLS10_VPS_VUI_BSP
   READ_UVLC( uiCode, "vps_num_add_hrd_params" ); vpsVuiBspHrdP->setVpsNumAddHrdParams( uiCode );
   vpsVuiBspHrdP->createAfterVpsNumAddHrdParams( pcVPS ); 
@@ -1990,42 +1771,4 @@
     }
   }  
-#else
-  READ_UVLC( uiCode, "vps_num_bsp_hrd_parameters_minus1" ); vpsVuiBspHrdP->setVpsNumBspHrdParametersMinus1( uiCode );
-  for( Int i = 0; i <= vpsVuiBspHrdP->getVpsNumBspHrdParametersMinus1( ); i++ )
-  {  
-    if( i > 0 )
-    {
-      READ_FLAG( uiCode, "bsp_cprms_present_flag" ); vpsVuiBspHrdP->setBspCprmsPresentFlag( i, uiCode == 1 );
-    }
-    TComHRD* hrdParameters = vpsVuiBspHrdP->getHrdParametermeters( i ); 
-    parseHrdParameters( hrdParameters, vpsVuiBspHrdP->getBspCprmsPresentFlag( i ), pcVPS->getMaxSubLayersMinus1() );     
-  }  
-  for( Int h = 1; h <= pcVPS->getVpsNumLayerSetsMinus1(); h++ )
-  {  
-    READ_UVLC( uiCode, "num_bitstream_partitions" ); vpsVuiBspHrdP->setNumBitstreamPartitions( h, uiCode );
-    for( Int i = 0; i < vpsVuiBspHrdP->getNumBitstreamPartitions( h ); i++ )  
-    {
-      for( Int j = 0; j < pcVPS->getNumLayersInIdList( h ); j++ )  
-      {
-        READ_FLAG( uiCode, "layer_in_bsp_flag" ); vpsVuiBspHrdP->setLayerInBspFlag( h, i, j, uiCode == 1 );
-      }
-    }
-    vpsVuiBspHrdP->checkLayerInBspFlag( pcVPS, h ); 
-    
-    if( vpsVuiBspHrdP->getNumBitstreamPartitions( h ) )
-    {  
-      READ_UVLC( uiCode, "num_bsp_sched_combinations_minus1" ); vpsVuiBspHrdP->setNumBspSchedCombinationsMinus1( h, uiCode );
-      for( Int i = 0; i <= vpsVuiBspHrdP->getNumBspSchedCombinationsMinus1( h ); i++ )
-      {
-        for( Int j = 0; j < vpsVuiBspHrdP->getNumBitstreamPartitions( h ); j++ )
-        {  
-          READ_CODE( vpsVuiBspHrdP->getBspCombHrdIdxLen(), uiCode, "bsp_comb_hrd_idx" ); vpsVuiBspHrdP->setBspCombHrdIdx( h, i, j, uiCode );
-          READ_UVLC( uiCode, "bsp_comb_sched_idx" ); vpsVuiBspHrdP->setBspCombSchedIdx( h, i, j, uiCode );
-          vpsVuiBspHrdP->checkBspCombHrdAndShedIdx( pcVPS, h, i, j ); 
-        }  
-      }
-    }  
-  }  
-#endif  
 }
 
@@ -2060,5 +1803,4 @@
         for( Int k = 0; k < vps->getNumLayersInIdList( currLsIdx ); k++ )   
         {
-#if H_MV_HLS10_DBP_SIZE
           if ( vps->getNecessaryLayerFlag( i, k ) && ( vps->getVpsBaseLayerInternalFlag() || ( vps->getLayerSetLayerIdList(vps->olsIdxToLsIdx(i),k) != 0 ) ))
           {
@@ -2072,7 +1814,4 @@
             }
           }
-#else
-          READ_UVLC( uiCode, "max_vps_dec_pic_buffering_minus1" ); dpbSize->setMaxVpsDecPicBufferingMinus1( i, k, j, uiCode );
-#endif
         }
         READ_UVLC( uiCode, "max_vps_num_reorder_pics" ); dpbSize->setMaxVpsNumReorderPics( i, j, uiCode );
@@ -2085,12 +1824,8 @@
           for( Int k = 0; k < vps->getNumLayersInIdList( vps->olsIdxToLsIdx( i ) ); k++ )   
           {
-#if H_MV_HLS10_DBP_SIZE
             if ( vps->getNecessaryLayerFlag(i, k ) )
             {            
-#endif
               dpbSize->setMaxVpsDecPicBufferingMinus1( i, k, j, dpbSize->getMaxVpsDecPicBufferingMinus1( i,k, j - 1 ) );
-#if H_MV_HLS10_DBP_SIZE
             }
-#endif            
           }
           dpbSize->setMaxVpsNumReorderPics      ( i, j, dpbSize->getMaxVpsNumReorderPics      ( i, j - 1 ) );
@@ -2106,9 +1841,5 @@
 {
   UInt uiCode; 
-#if SEC_VPS_CLEANUP_I0090
   for( Int i = 1; i <= pcVPS->getMaxLayersMinus1(); i++ )
-#else
-  for( Int i = 0; i <= pcVPS->getMaxLayersMinus1(); i++ )
-#endif
   {
 #if H_3D_ARP
@@ -2119,20 +1850,12 @@
     pcVPS->setSubPULog2Size(i, 0);
 #endif
-#if !SEC_VPS_CLEANUP_I0090
-    if ( i != 0 )
-#endif
-    {
-#if MTK_I0099_VPS_EX2
+    {
+#if H_3D_IV_MERGE
       READ_FLAG( uiCode, "iv_mv_pred_flag[i]");          pcVPS->setIvMvPredFlag         ( i, uiCode == 1 ? true : false );
-#if SEC_HLS_CLEANUP_I0100
       READ_FLAG( uiCode, "iv_mv_scaling_flag[i]");       pcVPS->setIvMvScalingFlag         ( i, uiCode == 1 ? true : false );
 #endif
-#endif
       if( !( pcVPS->getDepthId( i ) == 1 ) )
       {
 #if H_3D_IV_MERGE
-#if !MTK_I0099_VPS_EX2
-        READ_FLAG( uiCode, "iv_mv_pred_flag[i]");          pcVPS->setIvMvPredFlag         ( i, uiCode == 1 ? true : false );
-#endif
         if( !pcVPS->getNumDirectRefLayers(i) )
         {
@@ -2166,33 +1889,13 @@
       else
       {
-#if !MTK_I0099_VPS_EX2
-#if H_3D_IV_MERGE
-        if(i!=1)
-        {
-          READ_FLAG( uiCode, "iv_mv_pred_flag[i]");          pcVPS->setIvMvPredFlag         ( i, uiCode == 1 ? true : false );
-          if( !pcVPS->getNumDirectRefLayers(i) )
-          {
-            assert( !uiCode );         
-          }
-        }
-#endif
-#if H_3D_SPIVMP
-        if (i!=1)
-        {
-          READ_UVLC (uiCode, "log2_sub_PU_size_minus3[i]");     pcVPS->setSubPULog2Size(i, uiCode+3); 
-        }
-#endif
-#endif
 #if H_3D_IV_MERGE
         READ_FLAG( uiCode, "mpi_flag[i]" );             pcVPS->setMPIFlag( i, uiCode == 1 ? true : false );
-#endif
-#if MTK_I0099_VPS_EX2
         READ_UVLC (uiCode, "log2_mpi_sub_PU_size_minus3[i]");     pcVPS->setSubPUMPILog2Size(i, uiCode+3);
 #endif
         READ_FLAG( uiCode, "vps_depth_modes_flag[i]" );             pcVPS->setVpsDepthModesFlag( i, uiCode == 1 ? true : false );
-#if SEPARATE_FLAG_I0085
+#if H_3D
         READ_FLAG( uiCode, "ivp_flag[i]" );                   pcVPS->setIVPFlag( i, uiCode == 1 ? true : false );
 #endif
-#if MTK_I0099_VPS_EX2
+#if H_3D_QTLPC
         READ_FLAG( uiCode, "lim_qt_pred_flag[i]");                  pcVPS->setLimQtPredFlag     ( i, uiCode == 1 ? true : false ); 
 #endif
@@ -2209,9 +1912,5 @@
 
   READ_UVLC( uiCamParPrecision, "cp_precision" );
-#if SEC_VPS_CLEANUP_I0090
   for (UInt viewIndex=1; viewIndex<pcVPS->getNumViews(); viewIndex++)
-#else
-  for (UInt viewIndex=0; viewIndex<pcVPS->getNumViews(); viewIndex++)
-#endif
   {
     pcVPS->setCamParPresent         ( viewIndex, false );
@@ -2235,10 +1934,4 @@
     }
   }
-#if !MTK_I0099_VPS_EX2
-  READ_UVLC (uiCode, "log2_sub_PU_MPI_size_minus3");              pcVPS->setSubPUMPILog2Size( uiCode + 3 ); 
-#endif
-#if !SEC_HLS_CLEANUP_I0100
-  READ_FLAG( uiCode, "iv_mv_scaling_flag");                       pcVPS->setIvMvScalingFlag( uiCode == 1 ? true : false ); 
-#endif
 }
 #endif
@@ -2288,7 +1981,4 @@
   sps->inferScalingList( parameterSetManager->getActiveSPS( sps->getSpsScalingListRefLayerId() ) );   
   sps->inferSpsMaxDecPicBufferingMinus1( vps, targetOlsIdx, rpcSlice->getLayerId(), false ); 
-#if !H_MV_HLS10_ADD_LAYERSETS 
-  vps->inferDbpSizeLayerSetZero( sps, false ); 
-#endif
 
   if ( sps->getVuiParametersPresentFlag() )
@@ -2358,5 +2048,4 @@
       esb++; 
       READ_FLAG( uiCode, "discardable_flag" ); rpcSlice->setDiscardableFlag( uiCode == 1 );
-#if NON_REF_NAL_TYPE_DISCARDABLE
       if ( uiCode == 1 )
       {
@@ -2367,5 +2056,4 @@
           rpcSlice->getNalUnitType() != NAL_UNIT_CODED_SLICE_RASL_R);
       }
-#endif
     }
 
@@ -2515,9 +2203,5 @@
           rps->checkMaxNumPics( 
             vps->getVpsExtensionFlag(), 
-#if H_MV_HLS10_MAXNUMPICS
             MAX_INT,  // To be replaced by MaxDbpSize
-#else
-            vps->getMaxNumPics( rpcSlice->getLayerId() ),
-#endif
             rpcSlice->getLayerId(), 
             sps->getMaxDecPicBuffering( sps->getSpsMaxSubLayersMinus1() ) - 1 );
@@ -2632,9 +2316,5 @@
         rps->checkMaxNumPics( 
           vps->getVpsExtensionFlag(), 
-#if H_MV_HLS10_MAXNUMPICS
             MAX_INT,  // To be replaced by MaxDbpsize
-#else
-          vps->getMaxNumPics( rpcSlice->getLayerId() ),
-#endif
           rpcSlice->getLayerId(), 
           sps->getMaxDecPicBuffering( sps->getSpsMaxSubLayersMinus1() ) - 1 );
@@ -2655,5 +2335,5 @@
       if (rpcSlice->getSPS()->getTMVPFlagsPresent())
       {
-#if I0044_SLICE_TMVP
+#if H_MV
         READ_FLAG( uiCode, "slice_temporal_mvp_enabled_flag" );
 #else
@@ -2865,9 +2545,5 @@
     }
 #if H_3D_IC
-#if SEC_HLS_CLEANUP_I0100
     else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) && !rpcSlice->getIsDepth() && vps->getNumDirectRefLayers( layerId ) > 0 )
-#else
-    else if( rpcSlice->getViewIndex() && ( rpcSlice->getSliceType() == P_SLICE || rpcSlice->getSliceType() == B_SLICE ) && !rpcSlice->getIsDepth())
-#endif
     {
       UInt uiCodeTmp = 0;
@@ -2883,5 +2559,5 @@
     }
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
     if(rpcSlice->getIsDepth())
     {
@@ -3009,5 +2685,5 @@
 
 #if H_3D
-#if LGE_FCO_I0116
+#if H_3D_FCO
   if( rpcSlice->getVPS()->hasCamParInSliceHeader( rpcSlice->getViewIndex() )  && rpcSlice->getIsDepth() )
 #else
@@ -3090,4 +2766,5 @@
     }
     assert( ( m_pcBitstream->getNumBitsRead() - posFollSliceSegHeaderExtLen ) == rpcSlice->getSliceSegmentHeaderExtensionLength() * 8  ); 
+  }
 #else
     READ_UVLC( uiCode, "slice_header_extension_length" );
@@ -3097,15 +2774,6 @@
       READ_CODE(8,ignore,"slice_header_extension_data_byte");
     }  
-#endif
-  }
-#if INFERENCE_POC_MSB_VAL_PRESENT
-  else
-  {
-    rpcSlice->setSliceSegmentHeaderExtensionLength( 0 );
-    rpcSlice->setPocMsbValPresentFlag( false );
-  }
-#endif
-
-
+  }
+#endif
   m_pcBitstream->readByteAlignment();
 
@@ -3198,10 +2866,6 @@
       READ_FLAG( uiCode, "sub_layer_profile_present_flag[i]" ); rpcPTL->setSubLayerProfilePresentFlag(i, uiCode);
 #if H_MV
-#if !H_MV_HLS10_PTL_INFER_FIX
-      rpcPTL->setSubLayerProfilePresentFlag( i, profilePresentFlag && rpcPTL->getSubLayerProfilePresentFlag(i) );
-#else
       // When profilePresentFlag is equal to 0, sub_layer_profile_present_flag[ i ] shall be equal to 0.
       assert( profilePresentFlag || !rpcPTL->getSubLayerProfilePresentFlag(i) );
-#endif
 #else
     }
@@ -3221,12 +2885,8 @@
   for(Int i = 0; i < maxNumSubLayersMinus1; i++)
   {
-#if H_MV_HLS10_PTL_INFER_FIX
 #if H_MV
     if( rpcPTL->getSubLayerProfilePresentFlag(i) )         
 #else
     if( profilePresentFlag && rpcPTL->getSubLayerProfilePresentFlag(i) )          
-#endif
-#else
-    if( profilePresentFlag && rpcPTL->getSubLayerProfilePresentFlag(i) )    
 #endif
     {
@@ -3262,13 +2922,6 @@
   ptl->setFrameOnlyConstraintFlag(uiCode ? true : false);
   
-#if H_MV_HLS10_PTL
-#if H_MV_HLS10_PTL_INFER_FIX
+#if H_MV
   if( ptl->getV2ConstraintsPresentFlag() )
-#else
-  if( ptl->getProfileIdc( ) ==  4 || ptl->getProfileCompatibilityFlag( 4 )  ||
-      ptl->getProfileIdc( ) ==  5 || ptl->getProfileCompatibilityFlag( 5 )  ||
-      ptl->getProfileIdc( ) ==  6 || ptl->getProfileCompatibilityFlag( 6 )  ||
-      ptl->getProfileIdc( ) ==  7 || ptl->getProfileCompatibilityFlag( 7 ) ) 
-#endif
   {
     READ_FLAG( uiCode, "max_12bit_constraint_flag" );        ptl->setMax12bitConstraintFlag      ( uiCode == 1 );
@@ -3291,12 +2944,5 @@
     READ_CODE(11, uiCode, "XXX_reserved_zero_43bits[32..42]");
   }
-#if H_MV_HLS10_PTL_INFER_FIX
   if( ptl->getInbldPresentFlag() )
-#else
-  if( ( ptl->getProfileIdc() >= 1 && ptl->getProfileIdc() <= 5 )  ||
-    ptl->getProfileCompatibilityFlag( 1 ) || ptl->getProfileCompatibilityFlag( 2 )  ||
-    ptl->getProfileCompatibilityFlag( 3 ) || ptl->getProfileCompatibilityFlag( 4 )  ||
-    ptl->getProfileCompatibilityFlag( 5 ) )
-#endif
   {
     READ_FLAG( uiCode, "inbld_flag" ); ptl->setInbldFlag( uiCode == 1 );
